interface StringFunctionsModel {
    isNullOrEmpty: typeof isNullOrEmpty;
    isArabic: typeof isArabic;
    isPersian: typeof isPersian;
    search: typeof search;
    generateLinks: typeof generateLinks;
    clearDoubleQuartmarksOnJSON: typeof clearDoubleQuartmarksOnJSON;
    clearSpacesAndTabs: typeof clearSpacesAndTabs;
    clearSpacesAndTabsAndArrows: typeof clearSpacesAndTabsAndArrows;
    utfToUnicode: typeof utfToUnicode;
    correctUTF: typeof correctUTF;
    short: typeof short;
    timeInString: typeof timeInString;
    numToString: typeof numToString;
    clearHTMLTags: typeof clearHTMLTags;
    removeHTML: typeof removeHTML;
    compairFarsiString: typeof compairFarsiString;
    htmlCharacterEncoder: typeof htmlCharacterEncoder;
    KaafYe: typeof KaafYe;
    jsonCorrector: typeof jsonCorrector;
    removeNumberFromBegining: typeof removeNumberFromBegining;
    isEmail: typeof isEmail;
    makeHTMLWithSize: typeof makeHTMLWithSize;
    findMainDomain: typeof findMainDomain;
    findPortOfURL: typeof findPortOfURL;
    correctInputString: typeof correctInputString;
    numCorrection: typeof numCorrection;
    isURL: typeof isURL;
    isLocation: typeof isLocation;
    currancyPrint: typeof currancyPrint;
    returnLasNumberPartInInteger: typeof returnLasNumberPartInInteger;
    stringToColor: typeof stringToColor;
    removeSpacesFromTwoSides: typeof removeSpacesFromTwoSides;
    fileSizeInString: typeof fileSizeInString;
}
declare var StringFunctions: StringFunctionsModel;
declare function isNullOrEmpty(value: string): boolean;
/**@desc returns true if there was to many arabic signes there<br>
 * if the number of arabic sign was less than 1/4 , this function detect that the str is not arabic*/
declare function isArabic(str?: string): boolean;
/**@desc Returns true if currenct string has at least one persian script.
 * @returns {Boolean}
*/
declare function isPersian(str?: string, stringLength?: number): boolean;
/**@desc it will returns list of points that shows index and ofsset of each word founded > [{x:0,y:0}]*/
declare function search(str?: string, searchedWord?: string, fineAll?: boolean, arabic?: boolean, arabic2?: boolean): {
    x: number;
    y: number;
}[];
/**@desc generate link on the current string and it will returns html text*/
declare function generateLinks(str?: string, linkColors?: number): string;
/**@desc *Clear in line "s in the json values:<br>
 * {"data":"my name is "ali"."}<br>
 * {"data":"my name is \"ali\"."}*/
declare function clearDoubleQuartmarksOnJSON(str?: string): string;
/**@desc This function will remove all spaces and tabs and enters from a string*/
declare function clearSpacesAndTabs(str?: string): string;
/**@desc This function will remove all spaces and tabs and enters from a string*/
declare function clearSpacesAndTabsAndArrows(str?: string): string;
declare function utfToUnicode(utfString?: string): string;
declare function correctUTF(utfWord?: string): string;
/**@desc This function will shorten the senteces by the len vlaue*/
declare function short(str?: string, len?: number, removeEntersWith?: string): string;
/**@desc This function will make inserted html understandable for UnicodeConvertor
StringFunctions.htmlCorrect = function(htm="",linkColor=-1,replacePwithEnter=false,fontSizeIs=20)
{
    return Unicode.htmlCorrect(htm,linkColor,replacePwithEnter,fontSizeIs)
}*/
/**@desc return the time from seconds to string 10:54*/
declare function timeInString(seconds?: number): string;
/**@desc 1 > 001*/
declare function numToString(num: number, numberLenght?: number): string;
/**@desc Remove all html tags from the text*/
declare function clearHTMLTags(ReferText?: string): string;
/**@desc Remove all html tags from the text*/
declare function removeHTML(ReferText?: string): string;
/**@desc Returns -1 if string1 < str2, 1 if str1>str2*/
declare function compairFarsiString(str1?: string, str2?: string): number;
declare function htmlCharacterEncoder(str?: string): string;
/**@desc this function will remove all persian ک and ی and will repace them with ي and ك*/
declare function KaafYe(str?: string): string;
declare function jsonCorrector(oldJson?: string): string;
/**@desc *0902-hello > hello . it will remove any number befor - sign. if there was a - sign<br>
 * 0000helo > 0000helo<br>
 * abs02-hello > abs02-hello*/
declare function removeNumberFromBegining(str?: string): string;
/**@desc Returns true if this was an email*/
declare function isEmail(email?: string): boolean;
/**@desc Returns sized html text*/
declare function makeHTMLWithSize(pureHML?: string, defaultFontSize?: number): string;
/**@desc Returns a domain of an url : www.google.com/translage >> google.com*/
declare function findMainDomain(url?: string, removeHTTPPart?: boolean): string;
/**@desc Return positive number if port founded*/
declare function findPortOfURL(url?: string): number;
/**@desc It will replace ي with ی and correct numbers. */
declare function correctInputString(str?: string): string;
declare function numCorrection(str?: string): string;
/**@desc Returns true if entered string was URL*/
/**@desc Returns true if entered string was URL*/
declare function isURL(str?: string): boolean;
declare function isLocation(str?: string): boolean;
/**@desc 2500>>>>>>>2,500  12.5654*/
declare function currancyPrint(inputcurencynumber: string): string;
/**@desc http://www.google.com/342 >>> 342.  but it will returns 0 if no number found at the end of line*/
declare function returnLasNumberPartInInteger(str?: string): number;
/**@desc Creats color from a link*/
declare function stringToColor(str?: string): number;
/**@desc Remove spaces from two side of the inputed string : "   hello world  " > "hello world" */
declare function removeSpacesFromTwoSides(str?: string): string;
/**@desc Returning file size in String with lable*/
declare function fileSizeInString(fileSizeInByte?: number): string;
export default StringFunctions;
